Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Writer Class Reference
[IO core interfaces]

Inheritance diagram for Writer:

## Detailed Description

Abstract character writer class.

Writes specified character sequences into abstract stream.

## Public Methods

virtual void | write (const String &string)
| Writes string.
virtual void | write (const String *string)
| Writes string.
virtual void | write (const String &string, int from, int num)
| Writes `num` characters of string, starting at `from` position.
virtual void | write (const String *string, int from, int num)
| Writes `num` characters of string, starting at `from` position.
virtual void | write (wchar c)=0
| Writes single character.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:58 2003 by doxygen 1.3-rc2.